> For the complete documentation index, see [llms.txt](https://help.enterprise.ledger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.enterprise.ledger.com/api-documentation/tutorials/api-functionalities/list-accounts.md).

# List accounts

You can use your access token to list the accounts you have access to in this workspace. Make a GET request to the search accounts endpoint:

{% tabs %}
{% tab title="Bash" %}

```bash
curl --request GET \
  --url https://api.vault.ledger.com/accounts \
  --header 'authorization: Bearer {{access_token}}' \
  --header 'content-type: application/json' \
  --header 'x-ledger-workspace: minivault'
```

{% endtab %}

{% tab title="JSON" %}

```json
{
  "edges": [
    {
      "cursor": 0,
      "node": {
        "address": null,
        "available_balance": "5719662",
        "balance": "5719662",
        "coin_fields": null,
        "contract_address": null,
        "created_by": 5,
        "created_on": "2023-12-13T20:27:18.887023+00:00",
        "currency": "bitcoin_testnet",
        "derivation_path": "84'/1'/3'",
        "governance_rules": [
        ...
        ],
        "id": 3,
        "index": 3,
        "labels": [],
        "last_request": 24,
        "name": "Exchange TBTC",
        "parent": null,
        "pending_balance": "0",
        "status": "ACTIVE",
        "type": "Bitcoin",
        "xpub": null
      }
    },
    {
      "cursor": 1,
      "node": {
        "address": null,
        "available_balance": "20298",
        "balance": "20298",
        "coin_fields": null,
        "contract_address": null,
        "created_by": 5,
        "created_on": "2023-12-13T20:26:57.395657+00:00",
        "currency": "bitcoin_testnet",
        "derivation_path": "84'/1'/1'",
        "governance_rules": [
        ...
        ],
        "id": 2,
        "index": 1,
        "labels": [],
        "last_request": 23,
        "name": "ClientA COL TBTC 1",
        "parent": null,
        "pending_balance": "0",
        "status": "ACTIVE",
        "type": "Bitcoin",
        "xpub": null
      }
    }
  ],
  "page_info": {
    "count": 2,
    "has_next_page": false
  }
}
```

{% endtab %}
{% endtabs %}

This request returns a list of accounts along with their details, including balance, currency, and status. This endpoint is paginated, to learn more about how pagination work please refer the the [API documentation](about:/openapi/le_api/overview/#section/Introduction/Pagination).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/tutorials/api-functionalities/list-accounts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
